GET /accounts/sync
Performs an incremental sync of all a user's connected accounts per default.
If you want to force a full sync, it will delete all Google-connected events on Timekit and then trigger a sync. You can do it by adding full_sync=true like this: /accounts/sync?full_sync=true. This will fetch events 1 month in the past and 2 months into the future. Although this shouldn't be necessary to do manually, it's a safe way to make sure that all events are up-to-date with Google.
Endpoint
GET https://api.timekit.io/v2/accounts/sync
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
full_sync |
query | string | false | Set to true, to force a full sync |
Request examples
curlcurl -X GET \
-u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
https://api.timekit.io/v2/accounts/sync
Response examples
200
json{
"description": "Synced 25 events",
"count": 25
}